Bug 1306634 - dahdi-tools-2.10.0-7.fc24 FTBFS: 'rcsid' defined but not used [-Werror=unused-const-variable]
dahdi-tools-2.10.0-7.fc24 FTBFS: 'rcsid' defined but not used [-Werror=unused...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dahdi-tools (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
https://koji.fedoraproject.org/koji/b...
:
: 1307417 (view as bug list)
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-11 08:54 EST by Petr Pisar
Modified: 2016-04-04 13:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: dahdi-tools-2.10.0-8.fc25 dahdi-tools-2.10.0-8.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-04 13:25:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2016-02-11 08:54:32 EST
dahdi-tools-2.10.0-7.fc24 fails to build in F24:

gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -I. -Ixtalk -Wall -Werror   -c -o astribank_usb.o astribank_usb.c
dahdi_registration syntax OK
astribank_usb.c:37:19: error: 'rcsid' defined but not used [-Werror=unused-const-variable]
 static const char rcsid[] = "$Id$";
                   ^~~~~

This seems to be triggered by GCC 6.
Comment 1 Petr Pisar 2016-02-17 02:07:46 EST
*** Bug 1307417 has been marked as a duplicate of this bug. ***
Comment 2 Jan Kurik 2016-02-24 09:29:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Petr Pisar 2016-03-30 04:11:39 EDT
Latest upstream version is 2.11.1. It contains substantial changes and the offending file is not there anymore. Git tree has a commit:

commit f105a09eda3a3b832078194e7ece902271a8d7b7
Author: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Date:   Tue Jan 26 15:12:30 2016 +0200

    Remove rcsid: Unused since move to Git
    
    * While technically Git can support $ID keywords, in practice they are not
      used.
    * GCC now give a warning about ''rcsid' defined but not used' for some
      of those.
    
    Let's just remove the unused rcsid.

that removes the rcsid definitions and prints in usage outputs.
Comment 4 Fedora Update System 2016-03-30 05:04:07 EDT
dahdi-tools-2.10.0-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9910060d0
Comment 5 Fedora Update System 2016-03-30 18:25:59 EDT
dahdi-tools-2.10.0-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9910060d0
Comment 6 Fedora Update System 2016-04-04 13:25:16 EDT
dahdi-tools-2.10.0-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.